--
--
--
--
--

return function()
	return {
		awake = function(self)
			self.parent.sprite.offset.x = (self.parent.physics.width / 2) - 4
			self.parent.sprite.offset.y = -10
		end,
		update = function(self, dt, speed)
			local items, len = phys():queryRect(
				self.parent.x + self.parent.physics.offset.x,
				self.parent.y + self.parent.physics.offset.y,
				self.parent.physics.width,
				self.parent.physics.height
			)

			local overlappingPlayer = false

			for index, item in pairs(items) do
				if item.class == "player" then
					overlappingPlayer = true
				end
			end

			if overlappingPlayer then
				self.parent.sprite.visible = true

				if game.controls:pressed "up" then
					print "Dialoguing,"

					for index, dialogue in pairs(self.parent.text:separate(';')) do
						notice(dialogue)
					end
				end
			else
				self.parent.sprite.visible = false
			end
		end
	}
end
