

return function()
	return {
		x = 0,
		y = 0,
		width = 60,
		height = 60,
		speed = 150,
		moveable = false,

		update = function(self, dt, speed)
			if not self.start then
				self.start = {
					x = self.x,
					y = self.y
				}
			end

			if self.moveable then
				if game.controls:down "left" then
					self.x = math.clamp(self.x - (self.speed * dt * speed), self.start.x, self.start.x + self.width)
				elseif game.controls:down "right" then
					self.x = math.clamp(self.x + (self.speed * dt * speed), self.start.x, self.start.x + self.width)
				end
			end
		end
	}
end
