--
--
--
--
--

return function()
    return  {
		name = "dither",
		x = -640,
		y = 0,
		draw = function(self)
			local lc = love.graphics.getCanvas()
			love.graphics.setCanvas(game.layers[self.sprite.layer])
			love.graphics.setColor(35, 33, 61, 255)

			love.graphics.rectangle("fill", self.x + self.sprite.width - 1, self.y, 640, 360)
			love.graphics.setColor(255, 255, 255, 255)
			love.graphics.setCanvas(lc)
		end,
		sprite = {
			sprite = "assets/images/dither.png",
			origin = {
				x = 0,
				y = 0
			},
            layer = "foreground"
		}
	}
end
