-- Last saved at 07/10/18 07:50:12
return function()
    return {
  animation = {
    current = "idle",
    schema = "assets/sprites/npcs/beetle.json"
  },
  behavior = {
    scheme = {
      awake = "npc/awake",
      collide = "stock/collide",
      draw = "stock/draw",
      on_hit = "npc/on_hit",
      on_kill = "stock/on_kill",
      update = "stock/update",
      validState = "stock/validState"
    }
  },
  class = "npc",
  physics = {
    collides = true,
    drag = {
      x = 8,
      y = 0
    },
    gravity = {
      x = false,
      y = false
    },
    filter = function(self, other)
        if other.name == "player" then
            return "slide"
        else
            return "cross"
        end
    end,
    height = 16,
    offset = {
      x = 0,
      y = 0
    },
    velocity = {
      max = {
        x = 1024,
        y = 1024
      },
      x = 0,
      y = 0
    },
    width = 16
  },
  sprite = {
    anchored = false,
    color = {
      a = 255,
      b = 255,
      g = 255,
      r = 255
    },
    layer = "entities",
    offset = {
      x = 0,
      y = 0
    },
    origin = {
      x = 0,
      y = 0
    },
    scale = {
      x = 1,
      y = 1
    },
    sprite = "assets/sprites/npcs/beetle.png"
  }
}
end
