--
--
--
--
--

return function()
	return {
		x = 0,
		y = 0,
		z = 0,
		name = "player",
		class = "player",
		behavior = {name = "player"},
		sprite = {
			sprite = "assets/sprites/player.png",
			origin = {
				x = 0,
				y = 0
			},
			layer = "entities"
		},
		animation = {
			current = "idle",
			schema = "assets/sprites/player.json",
			rate = 12,
		},
		physics = {
			width = 10,
			height = 16,
			offset = {
				x = 8,
				y = 8
			},
			collides = true,
			collide = function(self, other)
				if other.class == "ball" then
					return "cross"
				else
					return (self.physics.collides and ((other.physics and other.physics.collides) or ((other.type == "map" and other.collides) or (other.properties and other.properties.collides)))) and "slide" or "cross"

				end
			end,
			filter = function(self, other)
				if other.class == "warp" or other.class == "ramp" then
					return "cross"
				else
					return "slide"
				end
			end
		}
	}
end
