--
--
--
--
--

return function()
	return {
		class = "spawner",
		object = "ball",
		lastSpawn = 0,
		delay = 3,
		amount = 1,
		spawned = {},
		started = false,
		start = false,
		copy = false,
		useEffect = true,

		update = function(self, dt, speed)

			if self.start and not self.started then
				table.insert(self.spawned, game:add(self.object, {x = self.x, y = self.y, spawner = self}).name)
				self.lastSpawn = 0
				self.started = true
			end

			self.lastSpawn = self.lastSpawn + (dt * speed)

			if self.lastSpawn > self.delay and (#self.spawned < self.amount or self.amount == 0) then
				if self.useEffect then fx("spawn", self.x + (self.width / 2), self.y, true) end
				table.insert(self.spawned, game:add(self.object, {x = self.x, y = self.y, spawner = self}).name)
				self.lastSpawn = 0
			end

			for index, object in pairs(self.spawned) do
				if not game:get(object) then
					table.remove(self.spawned, index)
				end
			end
		end

	}
end
