--
--
--
--
--

return function ()
    return {
        name = "console",
        active = true,
        width = 256,
        y = 224,
        z = 100,
        height = 16,
        update = function(self)

                game.suit._instance.keyboardFocus = "console"
        end,
        interface = {
            type = "Input",
            state = {
                cursor = 1,
                text = "",
            },
            options = {
                layer = "ui_fg",
                cornerRadius = 0,
                color = {
            	    normal  = {bg = {0, 0, 0, 255}, fg = {255,255,255}},
            	    hovered = {bg = {0, 0, 0, 255}, fg = {255,255,255}},
            	    active  = {bg = {0, 0, 0, 255}, fg = {255,255,255}}
            	}
            },
            calls = {
                update = function(entity, dt, speed)
                end,
                submitted = function(entity)
                    entity.active = false
                    local code = loadstring(entity.interface.state.text)

                    if code ~= nil then
                        code()
                    end

                    game.locked = false
                    game:remove(entity)
                end
            }
        }
    }
end
