--
--
--
--
--

return function()
    return {
        x = 0,
        y = 0,
        z = 10,
        size = 16,
		anchored = true,
        tiles = {},
		visible = true,
        showSides = false,

        update = function(self, dt, speed)

        end,
        draw = function(self)
			if self.visible then
				local drawX = (self.anchored and 0 or game.camera.x) + self.x
				local drawY = (self.anchored and 0 or game.camera.y) + self.y

	            local lc = love.graphics.getCanvas()
	            love.graphics.setCanvas(game.layers.map)

	            love.graphics.setColor(255, 255, 255, 255)
	            love.graphics.setLineWidth(2)

	            for x = 0, math.floor(self.width / self.size) do
	                love.graphics.line(
	                    math.floor(drawX + (self.size * x)),
	                    math.floor(drawY),
	                    math.floor(drawX + (self.size * x)),
	                    math.floor(drawY + self.height)
	                )
	            end

	            for y = 0, math.floor(self.height / self.size) do
	                love.graphics.line(drawX, drawY + (self.size * y), drawX + self.width, drawY + (self.size * y))
	            end

	            if self.showSides then
		            love.graphics.setColor(255, 0, 0, 255)
	                love.graphics.rectangle("line", drawX + (self.width / 2), drawY, self.width / 2, self.height)
					love.graphics.setColor(0, 0, 255, 255)
	                love.graphics.rectangle("line", drawX, drawY, self.width / 2, self.height)
	            end

	            love.graphics.setColor(255, 255, 255, 255)

	            love.graphics.setCanvas(lc)
			end
        end
    }
end
