--
--
--
--
--

local target = game:get "sprite"
local setID = game:get("set_id").interface.state.text

target.behavior = {
    scheme = {}
}

local scheme = {
    'awake', 'update', 'draw', 'collide', 'on_hit', 'on_kill', 'validState'
}

for index, value in pairs(scheme) do
    if love.filesystem.exists(string.format("assets/behaviors/%s/%s.lua", setID, value)) then
        target.behavior.scheme[value] = string.format("%s/%s", setID, value)
    else
        target.behavior.scheme[value] = string.format("%s/%s", "stock", value)
    end

    game:get(value).interface.state.text = target.behavior.scheme[value]
end

game:getSystem("behavior"):validate(target)
print "Loading scripts."
