--
--
--
--
--

return function()
	return game.component({
		animations = {},
		quads = {},
		frames = {},

		width = 8,
		height = 8,

		current = "idle",
		index = 1,
		age = 0,
		loops = 0,
		loop = true,
		rate = 12,
		speed = false,
		keepSpeed = true,

		hasAnimation = function(self, anim)
			return self.animations[animation]
		end,

		setAnimation = function(self, animation, cancel)
			if self.current ~= animation or cancel then
				if self.animations[animation] then
					self.current = animation
					self.index = self.animations[animation].from
					self.finished = false
					self.loop = true
					self.age = 0
					self.loops = 0
				else
					print(string.format("Entity class %s doesn't have animation %s.", self.parent.class, animation))
				end
			end
		end
	})
end
