--
--
--
--
--

return function()
	return {
		swingDir = -1,
		swing = 0,
		swingAge = 0,
		swings = 0,
		speed = 1,
		update = function(self, dt, speed)
			syncHitbox(self.parent, "hitbox")

			if self.parent.queue:isEmpty() then
				self.parent.sprite.angle = 0
				self.swings = 0
			else
				self.parent.sprite.angle = self.parent.sprite.angle + (dt * speed) * self.swingDir * self.speed

				self.swingAge = self.swingAge + (dt * speed)
				if self.swingAge > 0.3 then
					self.swingDir = -self.swingDir
					self.swingAge = -0.3
					self.swings = self.swings + 1
				end
			end
		end,
		ring = function(self, ball)
			local lc = game.context
			game.context = self.parent

			sfx "assets/sounds/bell.wav"
			wait(1.2)

			for index, entity in pairs(game:getEntities()) do
				if entity.behavior then
					entity.behavior:onBellRing(self.parent)
				end
			end

			game.context = lc
		end,
		collide = function(self, collision)
			print "collides"
			if self.parent.queue:isEmpty() then
				if collision.other.class == "ball" then
					self:ring(collision.other)
					print "ring"
				end
			end
		end
	}
end
