--
--
--

return function()
	return {
		state = false,
		awake = function(self)
			self.parent.y = self.parent.y - 8
		end,
		br8k = function(self)
			local lc = game.context
			game.context = self.parent
			removeSelf()
			sfx "assets/sounds/break.wav"
			fx("break", self.parent.x + 4, self.parent.y + 4)
			game.camera:shake(0.4)
			game.context = lc
		end,
		collide = function(self, collision, isOther)
			local other = collision.other

			if isOther then
				other = collision.item
			end

			if other.class then
				if other.class == "ball" then
					self:br8k()
				end
			end
		end,
		on_hit = function(self, other)
			if (other.class and other.class == "ball") or other == "explosion" then
				self:br8k()
			end
		end
	}
end
