--
--
--
--
--

return function()
	return {
		bind = true,
		class = "ball",
		behavior = {
			name = "ball"
		},
		sprite = {
			sprite = "assets/sprites/ball.png",
			origin = {
				x = 0.5,
				y = 0.5
			}
		},
		animation = {
			schema = "assets/sprites/ball.json"
		},
		physics = {
			collides = true,
			width = 6,
			height = 6,
			offset = {
				x = 1,
				y = 1
			},
			gravity = {
				x = 0,
				y = 0
			},
			velocity = {
				max = {
					x = 1000000,
					y = 1000000,
				}
			},
			bounce = {
				x = -1,
				y = -1
			}
		}
	}
end
