--
--
--
--
--
return function()
    return {
        x = 8,
        y = 8,
        z = 0,

        age = 0,
        wait = -1,
        waitAge = 0,
        speed = 30,

        class = "speech",
        layer = "ui",

        update = function(self, dt, speed)
            if self.wait < 0 then
                self.wait = #self.text * 0.5
            end

            self.age = self.age + (dt * speed)
            self.drawText = self.text:sub(1, math.min(#self.text, self.age * self.speed))

            if #self.drawText >= #self.text then
                self.waitAge = self.waitAge + (dt * speed)

                if self.waitAge > self.wait then
                    game:remove(self)
                end
            end
        end,
        draw = function(self)
            local lc = love.graphics.getCanvas()
            love.graphics.setCanvas(game.layers[self.layer])
            love.graphics.printf(self.drawText, self.x + 8 + math.floor(game.camera.x), self.y + 8 + math.floor(game.camera.y), game.width - 32, "left")
            love.graphics.setCanvas(lc)
        end
    }
end
