--
--
--
--
--
return function()
    return {
        x = 8,
        y = 8,
		layer = "ui",
        z = 0,
        text = "",

        drawBackground = true,
        visible = true,

        age = 0,
        speed = 30,

        class = "notice",

        draw = function(self)
            if self.visible then
                local lc = game:setLayer(self.layer)

                if self.drawBackground then
                    game.windows.dialogue:draw(self.x, self.y, self.width, self.height)
                end

                local width, wrapped = game.fonts[game.defaultFont]:getWrap(self.text, self.width - 16)

                love.graphics.setColor(255, 255, 255)
                love.graphics.setFont(game.fonts["dense"])
                love.graphics.printf(self.text, self.x + 8, self.y + 12, self.width - 16, "left")

                love.graphics.setCanvas(lc)
            end
        end
    }
end
