--
--
-- Menu script.
--
--

game.camera.followType = game.camera.PLAYER

choose {
	choiceX = 160,
	drawBackground = false,
    buttons = {
        {
            label = "Begin",
            onclick = function(self)
                script "load_game"
            end
        },
        {
            label = "Options",
            onclick = function(self)
				if game.production then
					room "options"
				else
					choose {
						buttons = {
							{
								label = "Delete save",
								onclick = function()
									love.filesystem.remove("save.json")
									game:load()
								end
							},
							{
								label = "Options Room",
								onclick = function()
									room "options"
								end
							}
						}
					}
				end
            end
        },
        game.production and nil or {
            label = "Editors",
            onclick = function(self)
                choose {
                    buttons = {
                        {
                            label = "Asset Importer",
                            onclick = function(self)
                                room "editors/asset_importer"
                            end
                        },
                        {
                            label = "Objects",
                            onclick = function(self)
                                room "editors/editor"
                            end
                        },
                        {
                            label = "Enemies",
                            onclick = function(self)
                                room "editors/enemy_editor"
                            end
                        },
						{
							label = "Items",
							onclick = function(self)
								room "editors/item_editor"
							end
						},
						{
							label = "NPCs",
							onclick = function(self)
								room "editors/npc_editor"
							end
						}
                    }
                }
            end
        }
    }
}
