--
--
--
--
--

return function()
	return game.component({
		sprite = "assets/sprites/default.png",
		layer = "entities",

		slices = {},
		slice = false,
		sliceIndex = 1,
		hasSlice = function(self, slice)
			return self.slices[slice]
		end,

		tile = {
			x = 1,
			y = 1
		},

		width = 32,
		height = 32,

		visible = true,
		anchored = false,
		angle = 0,
		filter = "nearest",
		flip = {
			x = false,
			y = false
		},

		color = {
			r = 255,
			g = 255,
			b = 255,
			a = 255
		},

		offset = {
			x = 0,
			y = 0
		},

		origin = {
			x = 0.5,
			y = 0.5
		},

		scale = {
			x = 1,
			y = 1,
		},

		shear = {
			x = 0,
			y = 0,
		}
	})
end
